package de.ivu.elect.interfaces.core;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;

@XmlAccessorType(XmlAccessType.FIELD)
public class Ausstattung implements Serializable {

  private static final long serialVersionUID = 1L;

  @XmlElement(required = true)
  private String bezeichnung;

  @XmlElement(required = false)
  private String bemerkung;

  @XmlElement(required = true)
  private Long anzahlIst;

  @XmlElement(required = true)
  private Long anzahlSoll;

  public String getBezeichnung() {
    return bezeichnung;
  }

  public void setBezeichnung(String bezeichnung) {
    this.bezeichnung = bezeichnung;
  }

  public String getBemerkung() {
    return bemerkung;
  }

  public void setBemerkung(String bemerkung) {
    this.bemerkung = bemerkung;
  }

  public Long getAnzahlIst() {
    return anzahlIst;
  }

  public void setAnzahlIst(Long anzahlIst) {
    this.anzahlIst = anzahlIst;
  }

  public Long getAnzahlSoll() {
    return anzahlSoll;
  }

  public void setAnzahlSoll(Long anzahlSoll) {
    this.anzahlSoll = anzahlSoll;
  }
}
